Loading...
Searching...
No Matches
EST_VTPath Class Reference

`#include <include/EST_viterbi.h>`

Collaboration diagram for EST_VTPath:
[legend]

## Public Attributes

double | score
int | state
EST_Features | f
EST_VTCandidate * | c
EST_VTPath * | from
EST_VTPath * | next

## Detailed Description

Internal class to \Ref{EST_Viterbi_Decoder} used to a represent a link in a path the candidates.

Author
  Alan W Black (awb@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk): July 1996

Definition at line 76 of file EST_viterbi.h.

## Constructor & Destructor Documentation

## EST_VTPath()

EST_VTPath::EST_VTPath | ( |  | ) |

inline

Definition at line 79 of file EST_viterbi.h.

## ~EST_VTPath()

EST_VTPath::~EST_VTPath | ( |  | ) |

inline

Definition at line 80 of file EST_viterbi.h.

## Member Data Documentation

## score

double EST_VTPath::score

Definition at line 81 of file EST_viterbi.h.

## state

int EST_VTPath::state

Definition at line 82 of file EST_viterbi.h.

## f

EST_Features EST_VTPath::f

Definition at line 83 of file EST_viterbi.h.

## c

EST_VTCandidate* EST_VTPath::c

Definition at line 84 of file EST_viterbi.h.

## from

EST_VTPath* EST_VTPath::from

Definition at line 85 of file EST_viterbi.h.

## next

EST_VTPath* EST_VTPath::next

Definition at line 86 of file EST_viterbi.h.

The documentation for this class was generated from the following file:

- include/EST_viterbi.h